OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_Array1OfTrimmingSelect Class Reference

`#include <StepGeom_Array1OfTrimmingSelect.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_Array1OfTrimmingSelect (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepGeom_Array1OfTrimmingSelect (const StepGeom_TrimmingSelect &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepGeom_TrimmingSelect &V)
Standard_EXPORT void | Destroy ()
| ~StepGeom_Array1OfTrimmingSelect ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepGeom_Array1OfTrimmingSelect & | Assign (const StepGeom_Array1OfTrimmingSelect &Other)
const StepGeom_Array1OfTrimmingSelect & | operator= (const StepGeom_Array1OfTrimmingSelect &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepGeom_TrimmingSelect &Value)
const StepGeom_TrimmingSelect & | Value (const Standard_Integer Index) const
const StepGeom_TrimmingSelect & | operator() (const Standard_Integer Index) const
StepGeom_TrimmingSelect & | ChangeValue (const Standard_Integer Index)
StepGeom_TrimmingSelect & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepGeom_Array1OfTrimmingSelect (const StepGeom_Array1OfTrimmingSelect &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_Array1OfTrimmingSelect::StepGeom_Array1OfTrimmingSelect | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepGeom_Array1OfTrimmingSelect::StepGeom_Array1OfTrimmingSelect | ( | const StepGeom_TrimmingSelect & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepGeom_Array1OfTrimmingSelect::~StepGeom_Array1OfTrimmingSelect | ( |  | ) | `[inline]`

Standard_EXPORT StepGeom_Array1OfTrimmingSelect::StepGeom_Array1OfTrimmingSelect | ( | const StepGeom_Array1OfTrimmingSelect & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepGeom_Array1OfTrimmingSelect& StepGeom_Array1OfTrimmingSelect::Assign | ( | const StepGeom_Array1OfTrimmingSelect & | Other | ) |

StepGeom_TrimmingSelect& StepGeom_Array1OfTrimmingSelect::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepGeom_Array1OfTrimmingSelect::Destroy | ( |  | ) |

Standard_EXPORT void StepGeom_Array1OfTrimmingSelect::Init | ( | const StepGeom_TrimmingSelect & | V | ) |

Standard_Boolean StepGeom_Array1OfTrimmingSelect::IsAllocated | ( |  | ) | const

Standard_Integer StepGeom_Array1OfTrimmingSelect::Length | ( |  | ) | const

Standard_Integer StepGeom_Array1OfTrimmingSelect::Lower | ( |  | ) | const

void StepGeom_Array1OfTrimmingSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepGeom_Array1OfTrimmingSelect::operator new | ( | size_t | size | ) | `[inline]`

void* StepGeom_Array1OfTrimmingSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepGeom_TrimmingSelect& StepGeom_Array1OfTrimmingSelect::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepGeom_TrimmingSelect& StepGeom_Array1OfTrimmingSelect::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepGeom_Array1OfTrimmingSelect& StepGeom_Array1OfTrimmingSelect::operator= | ( | const StepGeom_Array1OfTrimmingSelect & | Other | ) | `[inline]`

void StepGeom_Array1OfTrimmingSelect::SetValue | ( | const Standard_Integer | Index,
|  | const StepGeom_TrimmingSelect & | Value
| ) |

Standard_Integer StepGeom_Array1OfTrimmingSelect::Upper | ( |  | ) | const

const StepGeom_TrimmingSelect& StepGeom_Array1OfTrimmingSelect::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepGeom_Array1OfTrimmingSelect::isAllocated`[private]`

Standard_Integer StepGeom_Array1OfTrimmingSelect::myLowerBound`[private]`

Standard_Address StepGeom_Array1OfTrimmingSelect::myStart`[private]`

Standard_Integer StepGeom_Array1OfTrimmingSelect::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepGeom_Array1OfTrimmingSelect.hxx